#include "window.hpp"

#include <QApplication>
#include <QMessageBox>

int main(int argc, char** argv) {
    auto app = QApplication(argc, argv);

    app.setDesktopFileName(QStringLiteral("dev.serebit.Waycheck.desktop"));

    auto waylandApp = qApp->nativeInterface<QNativeInterface::QWaylandApplication>();
    QMessageBox msgBox;
    if (waylandApp == nullptr) {
        msgBox.setText("Waycheck must be started within a Wayland session.");
        return msgBox.exec();
    }

    auto window = Window(waylandApp);
    window.show();

    return app.exec();
}
